package co.pixelbeard.theanfieldwrap.writingDetails;

import co.pixelbeard.theanfieldwrap.data.Article;
import co.pixelbeard.theanfieldwrap.utils.BasePresenter;
import co.pixelbeard.theanfieldwrap.utils.BaseView;

public interface WritingDetailContract {

    interface View extends BaseView<Presenter> {
        void setArticle(Article article);
    }

    interface Presenter extends BasePresenter {
        void recordAnalytic(String type, String variable, String secondVar);

        void getArticleById(long id);
    }
}